<?xml version="1.0" encoding="UTF-8"?>
<!--
IGAC proyecto SNC

@author pedro.garcia

@description  página en la que se muestra gráficamente la ocupación de un ejecutor, además del resumen
        de los trámites asignados a éste

@param  thisWVNameParam  nombre de widgetvar del componente donde se usa esta ventana
-->

<h:form id="cargaTramitesEjecutorForm" prependId="false"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"	>

    <p:spacer height="20" width="0" />

    <p:outputPanel layout="block" style="text-align: center">
        <h:outputLabel value="Nombre del funcionario ejecutor: "
                       styleClass="outputLabelStyle" />
        <h:outputText
            value="#{asignacionTramites.ejecutorSeleccionado.funcionario}"
            styleClass="outputTextStyle" />
    </p:outputPanel>

    <p:spacer height="20" width="0" />

    <h:panelGrid columns="2" width="100%">
        <p:graphicImage value="#{asignacionTramites.chartTerreno}"
                        cache="false" />

        <p:graphicImage value="#{asignacionTramites.chartOficina}"
                        cache="false" />
    </h:panelGrid>

    <p:spacer height="20" width="0" />

    <p:dataTable var="tramite" id="tablaTrams"	paginatorPosition="bottom"
                 paginator="true" rows = "10" 
                 paginatorTemplate = "{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 rowsPerPageTemplate="5,10,15"
                 value="#{asignacionTramites.assignedTramitesAEjecutor}"
                 emptyMessage="No se encontraron tramites asignados al ejecutor">

        <f:facet name="header">
            Carga de trámites del funcionario ejecutor lola
        </f:facet>

        <p:column headerText="Número de radicación">
            <h:outputText value="#{tramite.numeroRadicacion}"
                          styleClass="outputTextStyleInTable"/>			
        </p:column>

        <p:column headerText="Fecha de radicación">
            <h:outputText value="#{tramite.fechaRadicacion}" 
                          styleClass="outputTextStyleInTable">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" 
                                   locale="es" />
            </h:outputText>
        </p:column>

        <p:column headerText="Tipo de trámite">
            <h:outputText value="#{tramite.tipoTramiteCadenaCompleto}" 
                          styleClass="outputTextStyleInTable"/>
        </p:column>

        <p:column headerText="Municipio">
            <h:outputText value="#{tramite.predio.municipio.nombre}" 
                          styleClass="outputTextStyleInTable"/>
        </p:column>

        <p:column headerText="Clasificación">
            <h:outputText value="#{tramite.clasificacion}" 
                          styleClass="outputTextStyleInTable"/>
        </p:column>

    </p:dataTable>

    <p:spacer height="30" width="0" />

    <p:outputPanel layout="block" style="text-align:right">
        <p:spacer width="10" />
        <p:commandButton value="Cerrar" 
                         onclick="#{thisWVNameParam}.hide();"
                         icon="ui-icon-close" />
        <p:spacer width="5" />
    </p:outputPanel>


</h:form>